[Haskell-cafe] haskell platform questions

Gregory Collins greg at gregorycollins.net
Mon Mar 22 10:45:34 EDT 2010

wren ng thornton <wren at freegeek.org> writes:

> I'm still on 10.5.8. I don't have cabal-install installed yet, but I just
> installed GHC-6.12.1/HP-2010.1.0.0. I can verify that ghci works fine so
> far. I'll check out cabal-install in the next couple days.

If there is an issue here it'd be with the binaries that ship with the
platform, not GHC; can you check /usr/local/bin/cabal to see if yours
has the same issue?

I'm betting I probably have to re-link the binaries with some magic "don't
break on Leopard" linker flag.

Gregory Collins <greg at gregorycollins.net>

More information about the Haskell-Cafe mailing list